Extending Qt Creator Manual | KitOptionsPage

Extending Qt Creator Manual 4.5.2

# KitOptionsPage Class

(ProjectExplorer::KitOptionsPage)

Inherits: | Core::IOptionsPage

- List of all members, including inherited members

## Public Functions

| KitOptionsPage()
void | showKit(Kit *k)

## Reimplemented Public Functions

virtual void | apply() override
virtual void | finish() override
virtual QWidget * | widget() override

- 9 public functions inherited from Core::IOptionsPage

### Additional Inherited Members

- 5 protected functions inherited from Core::IOptionsPage

## Member Function Documentation

### KitOptionsPage::KitOptionsPage()

Default constructs an instance of KitOptionsPage.

### `[override virtual]` void KitOptionsPage::apply()

### `[override virtual]` void KitOptionsPage::finish()

### void KitOptionsPage::showKit(Kit *k)

### `[override virtual]` QWidget *KitOptionsPage::widget()